package com.brilliance.isc.swift.objmtconvert.model.busvalidator.mt2xx;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTValidator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import com.brilliance.isc.swift.objmtconvert.util.Constans;
import com.brilliance.isc.swift.objmtconvert.util.Language;
import com.prowidesoftware.swift.model.field.Field79;
import com.prowidesoftware.swift.model.mt.mt2xx.MT295;

/**
 * @author huangmengyuan
 * @create 2023/3/6
 */
public class MT295Validator extends AbsMTValidator {
    public MT295Validator(String mtStr, MtResult mtResult) {
        super(mtStr, mtResult);
    }

    public MT295Validator() {
    }

    @Override
    public void bussinessValidator() {
        // MtResult mtResult = getMtResult();
        MT295 mt295 = (MT295) this.getAbstractMT();
        Field79 field79 = mt295.getField79();
        if (field79==null){
//            mtResult.addDescription("[MT295]中Field79不能为空,请赋值");
            mtResult.addDescription(Language.getLanguage("MTn95_C1","【MT295】"));
        }
        //  return mtResult;
    }
}
